/*****************************************************************/
/*                                                               */
/*  Exact arithmetics based on double precision floats ...       */
/*                                                               */
/*  Leif Kobbelt                              06/12/96           */
/*                                                               */
/*  Computer Graphics Group                                      */
/*  University of Erlangen-N"urnberg                             */
/*  Am Weichselgarten 9                                          */
/*  91058 Erlangen, GERMANY                                      */
/*                                                               */
/*  kobbelt@informatik.uni-erlangen.de                           */
/*                                                               */
/*  No commercial use without consent from the author! Please    */
/*  mind the copyright and give credits if you use the code      */
/*  within some software package.                                */
/*                                                               */
/*****************************************************************/

class IEEE_double_Accu
  {
    private:

      double *t;

    public:

      IEEE_double_Accu();
      IEEE_double_Accu(IEEE_double_Accu&);
     ~IEEE_double_Accu();

      void   push(double);              // adds a number to the accu
      void   push(double,double);       // adds a product of numbers
      void   add(IEEE_double_Accu&);    // adds one accu to the other
      void   scale(double);             // scales the accu's content
      void   mult(IEEE_double_Accu&);   // multiplies two accus
      double sum();                     // computes the destilled value
  };

/*****************************************************************/
